***Representing the States Before the U.S. Supreme Court: State Amicus Brief Participation, the Policy-making Environment, and the Fourth Amendment
***Shane A. Gleason and Colin Provost
***Publius: The Journal of Federalism. 2016 46(2): 248-273 

*Please direct corrospondence to Shane Gleason at gleashan@isu.edu


use "/home/shane/Dropbox/papers/4a_amicus/publius_rr/working_init1.dta"


xtset statecode count



*Table 1 (Initiation)

xtgee init statepet supremecourtmedian gop   elected nyt logbudget00 ssg scp ownorg exp_partic conflict warrant  lctunl search except , link(logit) family(binomial) corr(exchangeable) robust

xtgee init warrant except lctunl search logbudget00 ssg exp_partic scp ownorg supremecourtmedian gop elected nyt statepet conflict   goptimeswarrant goptimesexcept goptimeslctunl goptimessearch, link(logit) family(binomial) corr(exchangeable) robust

*Figure 1 (Initiation)
coefplot, coeflabels(_cons="Intercept") xline(0) drop(_cons)


*Table 2 (Joining)

xtgee join statepet supremecourtmedian  gop elected nyt logbudget00 ssg scp ownorg exp_join conflict  warrant lctunl search except if briefoccurs==1, link(logit) family(binomial) corr(exchangeable) robust

xtgee init warrant except lctunl search logbudget00 ssg exp_partic scp ownorg supremecourtmedian gop elected nyt statepet conflict   goptimeswarrant goptimesexcept goptimeslctunl goptimessearch, link(logit) family(binomial) corr(exchangeable) robust

*Figure 2 (Joining)
coefplot, coeflabels(_cons="Intercept") xline(0) drop(_cons)


*Calculating the marginal effects--- Initiation:
xtgee init i.statepet supremecourtmedian i.gop   i.elected i.nyt logbudget00 i.ssg i.scp i.ownorg exp_partic i.conflict i.warrant  i.lctunl i.search i.except goptimeswarrant goptimeslctunl goptimessearch goptimesexcept, link(logit) family(binomial) corr(exchangeable) robust

margins except, pwcompare
margins conflict, pwcompare
margins elected, pwcompare
margins statepet, pwcompare

margins, at(logbudget=(15.908 18.04)) vsquish pwcompare
margins, at(exp_partic=(.912 3.294)) vsquish pwcompare
margins, at(exp_partic=(.912 6)) vsquish pwcompare


*Calculating the marginal effects--- Joining:

xtgee join i.statepet supremecourtmedian  i.gop i.elected i.nyt logbudget00 i.ssg i.scp i.ownorg exp_join i.conflict  i.warrant i.lctunl i.search i.except goptimeswarrant goptimeslctunl goptimessearch goptimesexcept if briefoccurs==1, link(logit) family(binomial) corr(exchangeable) robust

margins nyt, pwcompare
margins ssg, pwcompare
margins scp, pwcompare
margins ownorg, pwcompare

margins warrant, pwcompare
margins lctunl, pwcompare
margins search, pwcompare
margins except, pwcompare


margins, at(logbudget=(16.062 18.116)) vsquish pwcompare
margins, at(logbudget=(16.062 14.008)) vsquish pwcompare


margins, at(exp_join=(1.076 3.425)) vsquish pwcompare
margins, at(exp_join=(1.076 6)) vsquish pwcompare


margins, at(supremecourtmedian=(0.250 0.57)) vsquish pwcompare
margins, at(supremecourtmedian=(0.250 0.07)) vsquish pwcompare
